summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Levine <plevine457@gmail.com>2018-09-18 17:28:38 -0400
committerMichał Górny <mgorny@gentoo.org>2018-09-22 09:07:11 +0200
commitf70d38f0e1dbfa1a590b6285be3f7f9fe37a939a (patch)
tree15a186a0686abf90fc277da2299502bb5298b018 /dev-cpp
parentdev-cpp/gtest: Reenable building shared libraries (diff)
downloadgentoo-f70d38f0e1dbfa1a590b6285be3f7f9fe37a939a.tar.gz
gentoo-f70d38f0e1dbfa1a590b6285be3f7f9fe37a939a.tar.bz2
gentoo-f70d38f0e1dbfa1a590b6285be3f7f9fe37a939a.zip
dev-cpp/gtest: Remove -Werror flag from build
Causes build failure E.g., https://github.com/google/googletest/issues/1584 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/gtest/gtest-9999.ebuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/dev-cpp/gtest/gtest-9999.ebuild b/dev-cpp/gtest/gtest-9999.ebuild
index a2e7c57c55e..a1cb73bf993 100644
--- a/dev-cpp/gtest/gtest-9999.ebuild
+++ b/dev-cpp/gtest/gtest-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="6"
# Python is required for tests and some build tasks.
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
-inherit python-any-r1 cmake-multilib
+inherit cmake-multilib python-any-r1
if [[ ${PV} == "9999" ]]; then
inherit git-r3
@@ -36,6 +36,13 @@ pkg_setup() {
use test && python-any-r1_pkg_setup
}
+src_prepare() {
+ cmake-utils_src_prepare
+
+ sed -i -e '/set(cxx_base_flags /s:-Werror::' \
+ googletest/cmake/internal_utils.cmake || die "sed failed!"
+}
+
multilib_src_configure() {
local mycmakeargs=(
-DBUILD_GMOCK=ON